pipeline {
  environment {
    registry = '670585220882.dkr.ecr.eu-west-1.amazonaws.com/hello-world'
    registryCredential = 'aws_id'
    dockerImage = ''
  }
  agent any
  stages {
    stage('Building image') {
      steps{
        script {
          dockerImage = docker.build registry + ":$BUILD_NUMBER"
        }
      }
    }
    stage('Deploy image') {
        steps{
            script{
                docker.withRegistry("https://" + registry,"ecr:eu-west-1:" +  registryCredential) {
                    dockerImage.push()
                }
            }
        }
    }
  }
}
